> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statements

> Retrieve a list of all Statements under a Login Identity (using a specific login_identity_token).

Authorization: `login_identity_token`



## OpenAPI

````yaml /api-reference/openapi.json get /statements
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /statements:
    get:
      tags:
        - statements
      summary: Get statements
      description: >-
        Retrieve a list of all Statements under a Login Identity (using a
        specific login_identity_token).


        Authorization: `login_identity_token`
      operationId: getStatements
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStatementsResponse'
              examples:
                success:
                  summary: Success
                  value:
                    institution:
                      countries:
                        - HKG
                        - SGP
                        - PHL
                      institution_id: testbank
                      institution_name: TestBank HK
                      portal_name: Test Bank Personal Account
                    login_identity:
                      login_identity_id: 01F11PR4Z0D85W43PREJ5RXP3K
                      status: DATA_RETRIEVAL_COMPLETE
                    statements:
                      - created_at: '2021-03-18T03:41:08.666Z'
                        date: '2020-09-01'
                        id: 01F11PRDNQQV3HE6K57BVPEH09
                        name: Test Bank Statement
                no_statements_found:
                  summary: Warning (no statements found)
                  value:
                    institution:
                      countries:
                        - HKG
                        - SGP
                        - PHL
                      institution_id: testbank
                      institution_name: TestBank HK
                      portal_name: Test Bank Personal Account
                    login_identity:
                      login_identity_id: 01F7MP3J3H485QSDQC0FS15KE7
                      status: DATA_RETRIEVAL_PARTIALLY_COMPLETE
                    statements: null
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
              examples:
                product_not_supported:
                  summary: Error (product not supported)
                  value:
                    error:
                      code: 40012
                      details: Statements are not supported for this bank
                      error_code: PRODUCT_NOT_SUPPORTED
                      message: >-
                        Requested product is not yet supported for this
                        institution. Please refer to Institutions list for
                        details on products supported.
                      request_id: '{unique_id}'
                      type: API_ERROR
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
      security:
        - Oauth2:
            - statement:read
components:
  schemas:
    GetStatementsResponse:
      properties:
        institution:
          $ref: '#/components/schemas/InstitutionShort'
        login_identity:
          $ref: '#/components/schemas/LoginIdentityShort'
        statements:
          type: array
          items:
            $ref: '#/components/schemas/Statement'
    BadRequestModelV2:
      properties:
        error:
          type: object
          required:
            - type
            - code
            - error_code
            - message
            - request_id
          properties:
            code:
              type: integer
              example: 40004
            details:
              type: string
            error_code:
              type: string
              example: CREDENTIALS_INVALID
            message:
              type: string
            request_id:
              description: The request_id provided in the request header
              type: string
            type:
              description: The error type
              type: string
              enum:
                - LINK_ERROR
                - API_ERROR
              example: LINKING_ERROR
    InstitutionShort:
      properties:
        countries:
          type: array
          items:
            type: string
          example:
            - HKG
        institution_id:
          type: string
          example: 123
        institution_name:
          type: string
          example: Mock Bank
        portal_name:
          type: string
          example: Personal Internet Banking
    LoginIdentityShort:
      properties:
        last_session_id:
          type: string
          format: ulid
        login_identity_id:
          type: string
          format: ulid
        status:
          type: string
          example: LINKING
    Statement:
      properties:
        created_at:
          type: string
          format: date-time
          example: '2021-02-01T10:01:02.333Z'
        date:
          description: YYYY-MM-DD
          type: string
          example: '2021-02-01'
        id:
          type: string
          example: daiosdosi7823e43
        name:
          type: string
          example: BusinessVantage
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````